# Yahoo! UI Library

### DataTable Widget 2.8.1

Yahoo! UI Library > datatable > YAHOO.widget.CheckboxCellEditor
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.CheckboxCellEditor - extends YAHOO.widget.BaseCellEditor

The CheckboxCellEditor class provides functionality for inline editing DataTable cell data with checkboxes.

### Constructor

YAHOO.widget.CheckboxCellEditor `( oConfigs )`

Parameters:
  `oConfigs <Object>` (Optional) Object literal of configs.

### Properties

#### checkboxes - `HTMLElement[]`

Reference to the checkbox elements.

#### checkboxOptions - `String[] | Object[]`

Array of checkbox values. Can either be a simple array (e.g., ["red","green","blue"]) or a an array of objects (e.g., [{label:"red", value:"#FF0000"}, {label:"green", value:"#00FF00"}, {label:"blue", value:"#0000FF"}]).

#### value - `String[]`

Array of checked values

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, resetInvalidData, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### focus

`void focus ( )`
Sets focus in CheckboxCellEditor.

#### getInputValue

`void getInputValue ( )`
Retrieves input value from CheckboxCellEditor.

#### handleDisabledBtns

`void handleDisabledBtns ( )`
After rendering form, if disabledBtns is set to true, then sets up a mechanism to save input without them.

#### renderForm

`void renderForm ( )`
Render a form with input(s) type=checkbox.

#### resetForm

`void resetForm ( )`
Resets CheckboxCellEditor UI to initial state.

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_initConfigs, _initEvents, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2010 Yahoo! Inc. All rights reserved.